<?php
/****************************************************************************************
SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV

Version 0.9.9

Copyright (C) 2006-2009  Sylvain FATOME
This program is free software; you can redistribute it and/or modify it under the terms
of the GNU General Public License as published by the Free Software Foundation; 
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program
(in the directory docs); 
if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, 
Boston, MA  02110-1301, USA.

Contact : galawa@free.fr

Web : http://smitst.homelinux.com
****************************************************************************************/


// Vérification des tentatives de hack
$pos=strpos($_SERVER['PHP_SELF'],"inc.php");
if ($pos===FALSE)
	$ok_inc=TRUE;
else
	$ok_inc=FALSE;
if ($ok_inc==FALSE) header("Location: ../index.php");

include_once("../inc/func.inc.php");
include_once("../inc/func_date.inc.php");
include_once("../inc/func_geo.inc.php");
include_once("../inc/func_txt.inc.php");
include_once("../inc/lst.inc.php");
Archivelog(@$_SESSION["code_log"]);
$fi="";
if (isset($_GET['fi']) && (trim($_GET['fi'])<>""))
	$fi=intval(strip_tags(trim($_GET['fi'])));
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>

<META http-equiv=Content-Type content="text/html; charset=iso-8859-1">
<title>SMI - <?PHP echo $title_esp_prive; ?> : Impression Liste Interventions</title>

<!-- Feuille de style pour les affichages courants -->
<link href="../css/smi.css" rel="stylesheet" type="text/css">

<!-- Scripts Javascript pour fenêtres -->
<script language="JavaScript" src="../jscript/fen.js"></script>

<!-- Scripts Javascript pour alertes -->
<script language="JavaScript" src="../jscript/alertes.js"></script>


</head>

<body onLoad="warnimplst();">
<?php
entimplst("LISTE DES DOSSIERS");

$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
mysql_select_db(DBNAME);

$rech = cree_strrechlstdos($niv_urgence);
if ((@$_SESSION["niv_log"] == 4) OR (@$_SESSION["niv_log"] == 3))
{
	if(!stristr($rech,"WHERE "))
		$rech .= " WHERE ".TBDOS.".dos_codeage='".@$_SESSION["code_age"]."'";
	else
		$rech .= " AND ".TBDOS.".dos_codeage='".@$_SESSION["code_age"]."'";
}

switch ($fi)
{
	case "1" :
		if(!stristr($rech,"WHERE "))
			$rech .= " WHERE dos_codedoss<>'CLOT'";
		else
			$rech .= " AND dos_codedoss<>'CLOT'";
		break;
	case "2" :
		if(!stristr($rech,"WHERE "))
			$rech .= " WHERE dos_codedoss='CLOT'";
		else
			$rech .= " AND dos_codedoss='CLOT'";
		break;
	default :
		break;
}
$rech .= crestr_triord($dos_titre_col,"dos_code",FALSE,$limit);

$rs = mysql_query($rech) or die(mysql_error());
$numrows = mysql_num_rows($rs); // Nombre de résultats à la requête

// *** Affichage de la table
echo "<table class=\"MItable\" border=\"0\" width=\"100%\" cellpadding=\"0\" cellspacing=\"0\">\n";     

// Création entête
titimplst($dos_titre_col);
	 
while ($row = mysql_fetch_assoc($rs)) 
{         
	echo "<tr>";

	echo "<td>";
	echo $row["dos_code"];
	echo "</td>\n";
	echo "<td>";
	echo "<div align=\"center\">";
	echo formatedate($row["dos_datedde"]);
	echo "</div>";
	echo "</td>\n";
	echo "<td>";
	echo "<div align=\"center\">";
	echo formatedate($row["dos_datefinp"]);
	echo "</div>";
	echo "</td>\n";

	echo "<td>";
	
	// Affichage détail urgence
	
	echo "<div align=\"center\">";
	echo $niv_urgence[$row["dos_urg"]];
	echo "</div>";
	
	// Fin affichage détail urgence
	
	echo "</td>\n";

	echo "<td>";
	echo $row["dos_codecli"];
	
	// Affichage détail client
	$detailcli = "";
	if ($row["cli_ste"] <> "")
		$detailcli .= $row["cli_ste"].", ";
	$detailcli .= $row["cli_civilite"]." ".$row["cli_nom"];
	echo "<div class=\"annot_petit_it\" style=\"margin-left:5px;\">";
	echo $detailcli;
	echo "</div>";
	
	// Fin affichage détail client
	
	echo "</td>\n";
	
	// Technicien / Agence traitants
	echo "<td>";
	if (($row["dos_codesuiv"] <> "") AND ($row["dos_codesuiv"] <> "-1"))
	{
		echo $row["dos_codesuiv"];
	}
	else
	{
		echo "<div align=\"center\">";
		echo "-";
		echo "</div>";
	}
	echo "</td>\n";
	 
	 // Affichage Icône Probabilité
	 echo "<td>";
	 echo "<div align=\"center\">";
	 echo $row["dos_proba"]."%";
	 echo "</div>";
	 echo "</td>\n";

	 // Affichage Icône Avancement
	 echo "<td>";
	 echo "<div align=\"center\">";
	 echo $row["dos_avance"]."%";
	 echo "</div>";
	 echo "</td>\n";

	 // Affichage Icône Statut
	 echo "<td>";
	 echo "<div align=\"center\">";
	 echo $row["dos_codedoss"];
	 echo "</div>";
	 echo "</td>\n";

	echo "</tr>\n";
}  
echo "</table>\n";
// *** Fin affichage de la table

mysql_free_result($rs);
mysql_close($conn);  
?>
</body>
</html>